# Mints and burns

## What is this dataset?&#x20;

This data includes event data related to the addition (mint) and removal (burn) of tokens from a liquidity pool.

### File structure details

* File Name: \[kaiko\_exchange\_code]\_\[pool\_address]\_\[date].csv
  * Files are created on a daily basis.
  * example: usp2\_0xb4e16d0168e52d35cacd2c6185b44281ec28c9dc\_2023-02-12.csv
* Cut-off time: `00:00:00 UTC`
  * We use the timestamp of the block in order to cut-off the data points between days.
* Column Delimeter: , (comma)
* Decimal Mark (in numbers): . (dot)

| Field              | Description                                                         | Example                                                                                 |
| ------------------ | ------------------------------------------------------------------- | --------------------------------------------------------------------------------------- |
| `block_number`     | The height of the block.                                            | `16028979`                                                                              |
| `timestamp`        | The timestamp of the block.                                         | `1669161611000`                                                                         |
| `datetime`         | The date equivalent.                                                | `2023-02-12T00:00:11Z`                                                                  |
| `pool_name`        | Name of the pool as it is written on the blockchain.                | `USDC-WETH`                                                                             |
| `type`             | Event type. By default both burn and mint are shown.                | `burn` or `mint`                                                                        |
| `transaction_hash` | Filter on a specific transaction hash.                              | `0xe68b84740**`                                                                         |
| `price`            | The price at this block.                                            | `0.0006495312950691`                                                                    |
| `symbols`          | The symbols of the tokens in the pool, separated by a semi-colon.   | `USDC;WETH`                                                                             |
| `addresses`        | The addresses of the tokens in the pool, separated by a semi-colon. | `0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48;0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2` |
| `amounts`          | The amounts of each token, separated by a semi-colon.               | `4.3800141550673e+07;28449.56266562047`                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/cloud-delivery/data-feeds/level-2-tick-level/mints-and-burns.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
